1
2

Google Play game service from GPGS package.

Your package from Push Package

I deleted 2 files after merge plugins: android-support-v4.jar and google-play-services.jar, because, gpgs plugin has support-v4-23.1.0.aar and play-services-base-8.3.0.aar if, i don't delete files, i have DEX error.

but, on play i have error in log:

I/dalvikvm( 1066): Could not find method com.google.android.gms.iid.InstanceID.getInstance, referenced from method com.pushwoosh.GCMRegistrationService.register

All my log: Google Drive Txt

asked 16 Nov '15, 15:40
a3dline's gravatar image

a3dline
214

Hello,

This error indicates that your versions of the libs are outdated. Is it possible for you to save our versions of android-support-v4.jar and google-play-services.jar instead of ones you got with GPGS package and set proper dependencies to make it work?

permanent link
answered 24 Nov '15, 13:01
Vitaly%20Romanychev's gravatar image

Vitaly Roman...
2213

Same problem here... which android support version is PushWoosh using? An upgrade to match the version of GPGS would be great, so we could just delete the android-support-v4.jar (which comes with pushwoosh).

permanent link
answered 16 Mar '16, 14:32
zeichenkraftwerk's gravatar image

zeichenkraft...
11

Your answer
toggle preview

Follow this question

By Email:

Once you sign in you will be able to subscribe for any updates here

By RSS:

Answers

Answers and Comments

Markdown Basics

  • *italic* or _italic_
  • **bold** or __bold__
  • link:[text](http://url.com/ "title")
  • image?![alt text](/path/img.jpg "title")
  • numbered list: 1. Foo 2. Bar
  • to add a line break simply add two spaces to where you would like the new line to be.
  • basic HTML tags are also supported

Question tags:

×446
×91
×88
×16

question asked: 16 Nov '15, 15:40

question was seen: 1,490 times

last updated: 16 Mar '16, 14:32